0

i installed Omada for linux on RPI but install script is showing:

Starting Omada Controller.Cannot find any VM in Java Home /usr/lib/jvm/default-java

when its trying to run installed deamon. Any ideas how to solve this problem please?

0

Had the same problem with Raspian Buster Lite and Omada Controller. You need Java 8. sudo apt-get install oracle-java8-jdk didn't work. It isn't in the official raspberry pi debian buster repository anymore. So download from there https://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html Java SE Development Kit 8u221 and select Linux ARM 32 Hard Float ABI Extract that and either change /usr/lib/jvm/default-java to point to the extracted dir or even better change it in the Omada control.sh script in JRE_HOME

Should you have default DROP for INPUT in IPTABLES execute iptables -A INPUT -i lo -j ACCEPT otherwise Omada controller cant't start.

If you have another Omada Controller running in the same subnet and you want to migrate. Export all data and important: Stop the controller, otherwise Omada controller doesn't start, neither.

After all these steps Omada controller 3.2.1 works fine on Raspberry-PI.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.